You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: <smi...@us...> - 2003-12-26 18:45:51
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs1:/tmp/cvs-serv29705/scripts/configuration/help Added Files: l2tpd.help Log Message: initial checkin of l2tpd --- NEW FILE: l2tpd.help --- CONFIG_L2TPD Layer 2 Tunneling Protocol Daemon This is typically used in the implementation of an IpSec VPN which is compatible with the free Microsofts L2TP/IpSec client. It allows Windows users to connect to an internal firewalled network and is considered a better alternative to PPTP. For more information: http://www.l2tpd.org |
|
From: <smi...@us...> - 2003-12-26 18:45:50
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv29705/scripts Added Files: l2tpd Log Message: initial checkin of l2tpd --- NEW FILE: l2tpd --- #!/bin/bash # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: l2tpd # Required-Start: $basebuildtools $libs ppp # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: Layer 2 Tunneling Protocol ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings source $MYDIR/functions MYNAME=L2TPD L2TPDPATCHDIR=$WORKDIR/l2tpd-patches case $1 in build ) if [ "$CONFIG_L2TPD" = "y" ]; then if [ ! -f l2tpd-patches.done ]; then touch l2tpd-patches.done for PATCH in $(ls $L2TPDPATCHDIR/p0/* 2> /dev/null ) do echo applying patch: $PATCH patch -p0 -i $PATCH || exit 1 done for PATCH in $(ls $L2TPDPATCHDIR/p1/* 2> /dev/null ) do echo applying patch: $PATCH patch -p1 -i $PATCH || exit 1 done fi make || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_L2TPD" = "y" ]; then # Create needed directories mkdir -p $CDDIR/usr/sbin || exit 1 mkdir -p $ETCDIR/etc/l2tpd || exit 1 mkdir -p $ETCDIR/etc/ppp || exit 1 # Copy binary files to appropriate directories copy_files "l2tpd" $CDDIR/usr/sbin # Copy sample config files to appropriate directories cp ./doc/l2tpd.conf.sample $ETCDIR/etc/l2tpd/l2tpd.conf || exit 1 cp ./doc/l2tp-secrets.sample $ETCDIR/etc/l2tpd/l2tp-secrets || exit 1 cp $MYDIR/scripts/options.l2tpd.lns $ETCDIR/etc/ppp ||exit 1 # Copy l2tp documentation onto the cd copy_man ./doc # Copy our own startup script into /etc/init.d cp $MYDIR/scripts/l2tpd $ETCDIR/etc/init.d || exit 1 # Create the l2tp option in the config file echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_L2TPD=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_L2TPD=\"L2TPD is an implementation of the l2tp protocol (www.l2tpd.org)\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: <smi...@us...> - 2003-12-26 18:45:50
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv29705 Modified Files: CHANGES Log Message: initial checkin of l2tpd Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.612 retrieving revision 1.613 diff -u -d -r1.612 -r1.613 --- CHANGES 26 Dec 2003 16:48:27 -0000 1.612 +++ CHANGES 26 Dec 2003 18:45:46 -0000 1.613 @@ -20,9 +20,9 @@ # Emmanuel Escarabajal. Emmanuel Escarabajal <ee...@ma...> # # -# 1.1.1 +- added l2tpd v0.69 (Heiko + Martin Glazer) - set the timeout for the dhcp client to 60 seconds - jail script has new command DELETE - domino jail script now empties the lib and etc directories before creating the jail |
|
From: <smi...@us...> - 2003-12-26 16:48:31
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv12473 Modified Files: CHANGES Log Message: - set the timeout for the dhcp client to 60 seconds Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.611 retrieving revision 1.612 diff -u -d -r1.611 -r1.612 --- CHANGES 26 Dec 2003 14:46:54 -0000 1.611 +++ CHANGES 26 Dec 2003 16:48:27 -0000 1.612 @@ -23,6 +23,8 @@ # 1.1.1 +- set the timeout for the dhcp client to 60 seconds +- jail script has new command DELETE - domino jail script now empties the lib and etc directories before creating the jail - added support for libsafe to all available chroot jail configurations - fixed the corner case when an empty directory is being copied to the jail dir (fl) |
|
From: <smi...@us...> - 2003-12-26 16:48:31
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig/network In directory sc8-pr-cvs1:/tmp/cvs-serv12473/config/etc/sysconfig/network Modified Files: dhcp Log Message: - set the timeout for the dhcp client to 60 seconds Index: dhcp =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/network/dhcp,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- dhcp 24 May 2003 10:59:51 -0000 1.2 +++ dhcp 26 Dec 2003 16:48:28 -0000 1.3 @@ -86,7 +86,7 @@ # much longer time. dhcpcd will then run as a daemon in the background and # broadcast a DHCPDISCOVER once in a while, trying to get a lease. # -DHCLIENT_TIMEOUT="999999" +DHCLIENT_TIMEOUT="60" # # (only dhcpcd does use this setting) |
|
From: <smi...@us...> - 2003-12-26 14:46:58
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig/jail In directory sc8-pr-cvs1:/tmp/cvs-serv26373/config/etc/sysconfig/jail Modified Files: DOMINO ISC_BIND POSTFIX SAGATOR Log Message: - jail script has new command DELETE - domino jail script now empties the lib and etc directories before creating the jail - added support for libsafe to all available chroot jail configurations Index: DOMINO =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/DOMINO,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- DOMINO 23 Dec 2003 14:57:01 -0000 1.9 +++ DOMINO 26 Dec 2003 14:46:55 -0000 1.10 @@ -9,13 +9,17 @@ # name of the daemon NAME Lotus Domino -# define user and group under which this daemon should run -USER notes -GROUP notes +# delete the following directories/files, before doing anything +DELETE /etc/* +DELETE /lib/* # define this, when the jail directory should not be emptied NODELETE 1 +# define user and group under which this daemon should run +USER notes +GROUP notes + # devices to create # parameter: devicename type major minor user.group rights DEV null c 1 3 0.0 0666 @@ -31,6 +35,9 @@ COPY /etc/nsswitch.conf COPY /lib/libnss_dns* COPY /etc/localtime +COPY /etc/ld.so.* +COPY /etc/libsafe.exclude +COPY /lib/libsafe.so.2 # set Linux capabilities Index: ISC_BIND =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/ISC_BIND,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- ISC_BIND 23 Dec 2003 14:57:01 -0000 1.8 +++ ISC_BIND 26 Dec 2003 14:46:55 -0000 1.9 @@ -29,6 +29,9 @@ # files and directories to copy COPY /etc/named COPY /etc/named.conf +COPY /etc/ld.so.* +COPY /etc/libsafe.exclude +COPY /lib/libsafe.so.2 # set Linux capabilities #CAP CAP_NET_BIND_SERVICE Index: POSTFIX =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/POSTFIX,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- POSTFIX 24 Dec 2003 01:18:33 -0000 1.5 +++ POSTFIX 26 Dec 2003 14:46:55 -0000 1.6 @@ -52,7 +52,9 @@ COPY /etc/group COPY /etc/shadow COPY /etc/gshadow - +COPY /etc/ld.so.* +COPY /etc/libsafe.exclude +COPY /lib/libsafe.so.2 # set Linux capabilities #CAP CAP_NET_BIND_SERVICE Index: SAGATOR =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/SAGATOR,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- SAGATOR 23 Dec 2003 14:57:01 -0000 1.4 +++ SAGATOR 26 Dec 2003 14:46:55 -0000 1.5 @@ -51,6 +51,9 @@ COPY /usr/bin/unarj COPY /usr/bin/unrar COPY /usr/bin/unzip +COPY /etc/ld.so.* +COPY /etc/libsafe.exclude +COPY /lib/libsafe.so.2 MKDIR /tmp/quarantine CHMOD 777 /tmp/quarantine |
|
From: <smi...@us...> - 2003-12-26 14:46:58
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv26373 Modified Files: CHANGES Log Message: - jail script has new command DELETE - domino jail script now empties the lib and etc directories before creating the jail - added support for libsafe to all available chroot jail configurations Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.610 retrieving revision 1.611 diff -u -d -r1.610 -r1.611 --- CHANGES 26 Dec 2003 14:34:39 -0000 1.610 +++ CHANGES 26 Dec 2003 14:46:54 -0000 1.611 @@ -23,6 +23,8 @@ # 1.1.1 +- domino jail script now empties the lib and etc directories before creating the jail +- added support for libsafe to all available chroot jail configurations - fixed the corner case when an empty directory is being copied to the jail dir (fl) - updated html::parser to v3.35 - updated extutils::makemaker to v6.21 |
|
From: <smi...@us...> - 2003-12-26 14:46:01
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig/jail
In directory sc8-pr-cvs1:/tmp/cvs-serv26226/config/etc/sysconfig/jail
Modified Files:
Tag: rel-1-0-patches
DOMINO ISC_BIND POSTFIX SAGATOR
Log Message:
backported some changes
- jail script has new command DELETE
- domino jail script now empties the lib and etc directories before creating
the jail
- fixed the corner case when an empty directory is being copied to the jail
dir (fl)
- postfix jail script now empties the lib and etc directories before
creating the jail
- better handling of subdirectories & links in jail script (fl)
Index: DOMINO
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/DOMINO,v
retrieving revision 1.8
retrieving revision 1.8.2.1
diff -u -d -r1.8 -r1.8.2.1
--- DOMINO 20 Aug 2003 19:15:35 -0000 1.8
+++ DOMINO 26 Dec 2003 14:45:57 -0000 1.8.2.1
@@ -9,17 +9,23 @@
# name of the daemon
NAME Lotus Domino
-# define user and group under which this daemon should run
-USER notes
-GROUP notes
+# delete the following directories/files, before doing anything
+DELETE /etc/*
+DELETE /lib/*
# define this, when the jail directory should not be emptied
NODELETE 1
+# define user and group under which this daemon should run
+USER notes
+GROUP notes
+
# devices to create
# parameter: devicename type major minor user.group rights
DEV null c 1 3 0.0 0666
-DEV zero c 1 5 0.0 0666
+DEV zero c 1 5 0.0 0644
+DEV random c 1 8 0.0 644
+DEV urandom c 1 9 0.0 644
DEV tty9 c 4 9 0.0 0666
# files and directories to copy
Index: ISC_BIND
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/ISC_BIND,v
retrieving revision 1.6.2.1
retrieving revision 1.6.2.2
diff -u -d -r1.6.2.1 -r1.6.2.2
--- ISC_BIND 16 Oct 2003 17:49:52 -0000 1.6.2.1
+++ ISC_BIND 26 Dec 2003 14:45:57 -0000 1.6.2.2
@@ -22,8 +22,9 @@
# devices to create
# parameter: devicename type major minor user.group rights
DEV null c 1 3 0.0 0666
-DEV zero c 1 5 0.0 0666
-DEV random c 1 8 0.0 0444
+DEV zero c 1 5 0.0 0644
+DEV random c 1 8 0.0 644
+DEV urandom c 1 9 0.0 644
# files and directories to copy
COPY /etc/named
Index: POSTFIX
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/POSTFIX,v
retrieving revision 1.3
retrieving revision 1.3.2.1
diff -u -d -r1.3 -r1.3.2.1
--- POSTFIX 22 Jul 2003 00:21:03 -0000 1.3
+++ POSTFIX 26 Dec 2003 14:45:57 -0000 1.3.2.1
@@ -27,10 +27,16 @@
# define this, if the package should not be unpacked into the jail root directory
PACKAGEDIR /
+# delete the following directories/files, before doing anything
+DELETE /etc/*
+DELETE /lib/*
+
# devices to create
# parameter: devicename type major minor user.group rights
DEV null c 1 3 0.0 0666
-DEV zero c 1 5 0.0 0666
+DEV zero c 1 5 0.0 0644
+DEV random c 1 8 0.0 644
+DEV urandom c 1 9 0.0 644
# files and directories to copy
COPY /etc/postfix
@@ -42,14 +48,12 @@
COPY /lib/libnss*.so*
COPY /etc/localtime
COPY /usr/bin/cmp
+COPY /etc/passwd
+COPY /etc/group
+COPY /etc/shadow
+COPY /etc/gshadow
# set Linux capabilities
#CAP CAP_NET_BIND_SERVICE
LINK /var/spool/postfix
-
-COPYUSER postfix
-COPYGROUP postdrop
-COPYGROUP postfix
-COPYGROUP nogroup
-COPYUSER nobody
Index: SAGATOR
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/SAGATOR,v
retrieving revision 1.3
retrieving revision 1.3.2.1
diff -u -d -r1.3 -r1.3.2.1
--- SAGATOR 20 Sep 2003 18:58:00 -0000 1.3
+++ SAGATOR 26 Dec 2003 14:45:57 -0000 1.3.2.1
@@ -30,8 +30,9 @@
# devices to create
# parameter: devicename type major minor user.group rights
DEV null c 1 3 0.0 0666
-DEV zero c 1 5 0.0 0666
-DEV urandom c 1 9 0.0 0644
+DEV zero c 1 5 0.0 0644
+DEV random c 1 8 0.0 644
+DEV urandom c 1 9 0.0 644
# files and directories to copy
COPY /etc/resolv.conf
|
|
From: <smi...@us...> - 2003-12-26 14:46:00
|
Update of /cvsroot/devil-linux/build/config/etc/init.d
In directory sc8-pr-cvs1:/tmp/cvs-serv26226/config/etc/init.d
Modified Files:
Tag: rel-1-0-patches
jail
Log Message:
backported some changes
- jail script has new command DELETE
- domino jail script now empties the lib and etc directories before creating
the jail
- fixed the corner case when an empty directory is being copied to the jail
dir (fl)
- postfix jail script now empties the lib and etc directories before
creating the jail
- better handling of subdirectories & links in jail script (fl)
Index: jail
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/init.d/jail,v
retrieving revision 1.21.2.1
retrieving revision 1.21.2.2
diff -u -d -r1.21.2.1 -r1.21.2.2
--- jail 20 Dec 2003 18:59:39 -0000 1.21.2.1
+++ jail 26 Dec 2003 14:45:57 -0000 1.21.2.2
@@ -74,25 +74,39 @@
ls -l $1 | cut -d ">" -f 2 | cut -c 2-
}
-# copies the files given in $1 to $2
+# copies the files given in $1 to $JAILDIR
# preserve attributes
# if file is a link follow this and copy all necessary links/files
#
function copy_files_links()
{
FILES=$1
- [ -d "$FILES" ] && FILES=$FILES/*
- for FILE in $(ls -d $FILES)
+ if [ -d "$FILES" ]; then
+ mkdir -p $JAILDIR/$FILES
+ chown -f --reference=$FILES $JAILDIR/$FILES
+ FILES=$FILES/*
+ fi
+
+ for FILE in $(ls -d $FILES 2>/dev/null)
do
- TARGETDIR=${FILE%/*}
- FILE=$FILE
- mkdir -p $JAILDIR$TARGETDIR
- cp -dfpR $FILE $JAILDIR$TARGETDIR
- if [ -L "$FILE" ]; then
- LINK=$(read_link $FILE)
- LINKDIR=${LINK%/*}
- [ "$LINKDIR" = "$LINK" ] && LINK=$TARGETDIR/$LINK
- copy_files_links $LINK
+ if [ -d "$FILE" ]; then
+ # a subdirectory found
+ copy_files_links $FILE
+ else
+ # a file or symlink found
+ TARGETDIR=${FILE%/*}
+ if [ ! -d $JAILDIR/$TARGETDIR ]; then
+ # in case $1 contained only a file we have to create the directory
+ mkdir -p $JAILDIR/$TARGETDIR
+ chown -f --reference=$TARGETDIR $JAILDIR/$TARGETDIR
+ fi
+ cp -dfpR $FILE $JAILDIR/$TARGETDIR
+ if [ -L "$FILE" ]; then
+ LINK=$(read_link $FILE)
+ LINKDIR=${LINK%/*}
+ [ "$LINKDIR" = "$LINK" ] && LINK=$TARGETDIR/$LINK
+ copy_files_links $LINK
+ fi
fi
done
}
@@ -165,6 +179,9 @@
CAP )
[ -z "$JCAPS" ] && CAPS="--cap"
CAPS=$CAPS" "$PARAM
+ ;;
+ DELETE )
+ rm -rf $JAILDIR$PARAM
;;
USER )
USER="--user "$PARAM
|
|
From: <smi...@us...> - 2003-12-26 14:46:00
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv26226
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
backported some changes
- jail script has new command DELETE
- domino jail script now empties the lib and etc directories before creating
the jail
- fixed the corner case when an empty directory is being copied to the jail
dir (fl)
- postfix jail script now empties the lib and etc directories before
creating the jail
- better handling of subdirectories & links in jail script (fl)
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.44
retrieving revision 1.510.2.45
diff -u -d -r1.510.2.44 -r1.510.2.45
--- CHANGES 25 Dec 2003 00:46:40 -0000 1.510.2.44
+++ CHANGES 26 Dec 2003 14:45:56 -0000 1.510.2.45
@@ -23,7 +23,12 @@
#
1.0.4
-- stunnel missing on the CD
+- jail script has new command DELETE
+- domino jail script now empties the lib and etc directories before creating the jail
+- fixed the corner case when an empty directory is being copied to the jail dir (fl)
+- postfix jail script now empties the lib and etc directories before creating the jail
+- better handling of subdirectories & links in jail script (fl)
+- stunnel missing was on the CD
- upgrade-config now correctly handles symlinks
1.0.3
|
|
From: <smi...@us...> - 2003-12-26 14:34:43
|
Update of /cvsroot/devil-linux/build/config/etc/init.d
In directory sc8-pr-cvs1:/tmp/cvs-serv24895/config/etc/init.d
Modified Files:
jail
Log Message:
- fixed the corner case when an empty directory is being copied to the jail
dir (fl)
Index: jail
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/init.d/jail,v
retrieving revision 1.24
retrieving revision 1.25
diff -u -d -r1.24 -r1.25
--- jail 24 Dec 2003 01:18:33 -0000 1.24
+++ jail 26 Dec 2003 14:34:39 -0000 1.25
@@ -81,9 +81,13 @@
function copy_files_links()
{
FILES=$1
- [ -d "$FILES" ] && FILES=$FILES/*
-
- for FILE in $(ls -d $FILES)
+ if [ -d "$FILES" ]; then
+ mkdir -p $JAILDIR/$FILES
+ chown -f --reference=$FILES $JAILDIR/$FILES
+ FILES=$FILES/*
+ fi
+
+ for FILE in $(ls -d $FILES 2>/dev/null)
do
if [ -d "$FILE" ]; then
# a subdirectory found
@@ -91,9 +95,11 @@
else
# a file or symlink found
TARGETDIR=${FILE%/*}
- FILE=$FILE
- mkdir -p $JAILDIR/$TARGETDIR
- chown -f --reference=$TARGETDIR $JAILDIR/$TARGETDIR
+ if [ ! -d $JAILDIR/$TARGETDIR ]; then
+ # in case $1 contained only a file we have to create the directory
+ mkdir -p $JAILDIR/$TARGETDIR
+ chown -f --reference=$TARGETDIR $JAILDIR/$TARGETDIR
+ fi
cp -dfpR $FILE $JAILDIR/$TARGETDIR
if [ -L "$FILE" ]; then
LINK=$(read_link $FILE)
|
|
From: <smi...@us...> - 2003-12-26 14:34:42
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv24895 Modified Files: CHANGES Log Message: - fixed the corner case when an empty directory is being copied to the jail dir (fl) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.609 retrieving revision 1.610 diff -u -d -r1.609 -r1.610 --- CHANGES 26 Dec 2003 14:29:34 -0000 1.609 +++ CHANGES 26 Dec 2003 14:34:39 -0000 1.610 @@ -23,6 +23,7 @@ # 1.1.1 +- fixed the corner case when an empty directory is being copied to the jail dir (fl) - updated html::parser to v3.35 - updated extutils::makemaker to v6.21 - updated net:ssleay to v1.25 |
|
From: <smi...@us...> - 2003-12-26 14:30:08
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv24266 Modified Files: CHANGES Log Message: updated perl to v5.8.2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.608 retrieving revision 1.609 diff -u -d -r1.608 -r1.609 --- CHANGES 26 Dec 2003 03:16:20 -0000 1.608 +++ CHANGES 26 Dec 2003 14:29:34 -0000 1.609 @@ -23,6 +23,11 @@ # 1.1.1 +- updated html::parser to v3.35 +- updated extutils::makemaker to v6.21 +- updated net:ssleay to v1.25 +- updated digest::sha1 to v2.07 +- updated perl to v5.8.2 - updated mountfs to use /etc/sysconfig/lvmtab and default all other VG's to mount under /var - stunnel didn't get copied onto the CD - added -pie support to gcc (not used yet) |
|
From: <smi...@us...> - 2003-12-26 14:29:43
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv24266/scripts
Modified Files:
perl
Log Message:
updated perl to v5.8.2
Index: perl
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/perl,v
retrieving revision 1.25
retrieving revision 1.26
diff -u -d -r1.25 -r1.26
--- perl 13 Oct 2003 17:36:09 -0000 1.25
+++ perl 26 Dec 2003 14:29:35 -0000 1.26
@@ -30,12 +30,14 @@
build )
if [ "$CONFIG_PERL" = "y" ]; then
cd ext
+
rm -rf ./DB_File || exit 1
for FILE in $(ls $DL_DIR/src/perl-ext/*.tar.gz)
do
tar -xzf $FILE || exit 1
done
+
ln -sf DB_File-* DB_File || exit 1
for PATCH in $(ls $DL_DIR/src/perl-ext/*.diff.bz2)
@@ -62,6 +64,11 @@
rm -f /usr/bin/s2p /usr/bin/psed
rm -f /usr/bin/pstruct /usr/bin/c2ph
cp -vfdpR $WORKDIR/tmp/* /usr || exit 1
+
+ # delete the old perl version
+ test -d /usr/lib/perl5/5.8.0 && rm -rf /usr/lib/perl5/5.8.0
+ test -d /usr/lib/perl5/site_perl/5.8.0 && rm -rf /usr/lib/perl5/site_perl/5.8.0
+ exit 0
fi
;;
@@ -76,7 +83,7 @@
rm $WORKDIR/tmp/bin/perl || exit 1
# check here if install fails, you probably upgraded to a new perl release
- PERLBIN=perl5.8.0
+ PERLBIN=perl5.8.2
[ -e $WORKDIR/tmp/bin/$PERLBIN ] || exit 1
ln -sf $PERLBIN $WORKDIR/tmp/bin/perl || exit 1
|
|
From: <bl...@us...> - 2003-12-26 03:22:26
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs1:/tmp/cvs-serv11998/config/etc/sysconfig Modified Files: lvmtab Log Message: Forgot /home. Oops! :-) Index: lvmtab =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/lvmtab,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- lvmtab 26 Dec 2003 03:16:21 -0000 1.1 +++ lvmtab 26 Dec 2003 03:22:22 -0000 1.2 @@ -11,3 +11,4 @@ swap swap swap defaults 0 0 opt /opt auto defaults 0 2 +home /home auto defaults 0 2 |
|
From: <bl...@us...> - 2003-12-26 03:16:24
|
Update of /cvsroot/devil-linux/build/config/etc/init.d
In directory sc8-pr-cvs1:/tmp/cvs-serv11330/build/config/etc/init.d
Modified Files:
mountfs
Log Message:
Changed mountfs to use lvmtab and default others to be mounted under /var
Index: mountfs
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/init.d/mountfs,v
retrieving revision 1.27
retrieving revision 1.28
diff -u -d -r1.27 -r1.28
--- mountfs 4 Oct 2003 00:51:57 -0000 1.27
+++ mountfs 26 Dec 2003 03:16:20 -0000 1.28
@@ -23,26 +23,22 @@
source /etc/init.d/functions
# supported LVs
-dl_lvs="swap log spool squid tmp data home opt imap mail"
+LVMTAB="/etc/sysconfig/lvmtab"
+LVMSYS="devil-linux"
+LVMPROC="/proc/lvm/VGs/devil-linux/LVs"
lvm_scan ()
{
local do_display=$1
# scan volume groups and display logical volumes
- vg_system=""
- for lv in $dl_lvs; do
- eval lv_$lv=0
- done
VGS=$(vgdisplay -c 2>&1 | grep -v "no volume groups found" | cut -f1 -d:)
if [ -n "$VGS" ]; then
for VG in $VGS; do
[ -n "$do_display" ] && echo " volume group \"${VG}\""
- [ "$VG" = "devil-linux" ] && vg_system=$VG
LVS=$(lvdisplay -c /dev/$VG/* 2>/dev/null | cut -f1 -d:)
for LV in $LVS; do
[ -n "$do_display" ] && echo " logical volume \"${LV}\""
- [ "$VG" = "$vg_system" ] && eval lv_${LV##*/}=1
done
echo
done
@@ -52,6 +48,34 @@
}
+lvm_mount ()
+{
+ [ ! -d $LD ] && mkdir -p $LD &> /dev/null
+ if [ -d $LD ]; then
+ case $LT in
+ swap )
+ echo -n "Activating swap $lv_done"
+ swapon /dev/$LVMSYS/$LV &> /dev/null
+ evaluate_retval
+ ;;
+ * )
+
+ [ "$L2" -gt "0" ] && \
+ /sbin/fsck -a -C -T /dev/$LVMSYS/$LV
+ echo -n "Mounting $LD $lv_done"
+ mount -t"$LT" -o"$LO" /dev/$LVMSYS/$LV $LD
+ evaluate_retval
+ if [ $(echo "$LO" | grep -c quota) -eq 1 ]; then
+ modprobe quota_v2 > /dev/null
+ quotaon $LD
+ fi
+ ;;
+ esac
+ else
+ echo "ERROR: cannot create directory: $LD, $LV not mounted"
+ fi
+}
+
case "$1" in
start)
@@ -77,30 +101,29 @@
lvm_scan print
# if we found the devil-linux vg mount the filesystems
- if [ -n "$vg_system" ]; then
+ if [ -d $LVMPROC ]; then
echo "Devil-Linux Harddisk found, activating..."
- for lv in $dl_lvs; do
- eval lv_active=\$lv_$lv
- if [ $lv_active -eq 1 ]; then
- case $lv in
- swap )
- echo "Activating swap"
- swapon /dev/$vg_system/swap &> /dev/null
- ;;
- opt|home )
- echo "Mounting /$lv"
- mkdir -p /$lv
- mount /dev/$vg_system/$lv /$lv &> /dev/null
- ;;
- * )
- echo "Mounting /var/$lv"
- mkdir -p /var/$lv
- mount /dev/$vg_system/$lv /var/$lv &> /dev/null
- ;;
- esac
- evaluate_retval
+ while read LV LD LT LO L1 L2 LX; do
+ [ $(echo ${LV:-#} | cut -c1) = "#" ] && continue
+ [ ! -e $LVMPROC/$LV ] && continue
+ eval lv_$LV=1
+ lvm_mount
+ done < $LVMTAB
+
+ for lv in $(ls $LVMPROC); do
+ if [ $(expand $LVMTAB | grep -c "^$lv ") -eq 1 ]; then
+ read LV LD LT LO L1 L2 LX <<< $(expand $LVMTAB | grep "^$lv ")
+ else
+ LV=$lv
+ LD=/var/$lv
+ LT="auto"
+ LO="defaults"
+ L1=0
+ L2=2
fi
+ eval lv_done=\$lv_$LV
+ [ "$lv_done" != "1" ] && lvm_mount
done
fi
fi
@@ -145,22 +168,11 @@
echo -n "Unmounting file systems..."
#/bin/umount -n -a -r
- cat /proc/mounts | cut -f -3 -d " " | grep -v "shm$" | grep -v "rootfs$" | grep -v "devfs$" | grep -v " proc" | cut -f 2 -d " " | xargs umount -rn
+ cat /proc/mounts | cut -f -3 -d " " | grep -v -e "shm$" -e "rootfs$" -e "devfs$" -e " proc" | cut -f 2 -d " " | xargs -n 1 umount -rn
evaluate_retval
# shutdown LVM if tools are installed
if [ -e /sbin/vgscan -a -e /sbin/vgchange ]; then
-
- lvm_scan
-
- # check if swap on LVM is active then deactivate it
- if [ $lv_swap -eq 1 ]; then
- echo -n "Deactivating swap on LVM"
- swapoff /dev/$vg_system/swap &> /dev/null
- print_status success
- fi
-
- # finally stop LVM
echo -n "Stopping LVM"
/sbin/vgchange -a n &> /dev/null
evaluate_retval
|
|
From: <bl...@us...> - 2003-12-26 03:16:23
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs1:/tmp/cvs-serv11330/build/config/etc/sysconfig Added Files: lvmtab Log Message: Changed mountfs to use lvmtab and default others to be mounted under /var --- NEW FILE: lvmtab --- # /etc/sysconfig/lvmtab # # Columns: # 1) logical volume name under volume group "devil-linux". # 2) mount point # 3) filesystem type # 4) mount options # 5-6) checking options, to be added # # Other LV's found in VG "devil-linux" will mounted under /var swap swap swap defaults 0 0 opt /opt auto defaults 0 2 |
|
From: <bl...@us...> - 2003-12-26 03:16:23
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv11330/build Modified Files: CHANGES Log Message: Changed mountfs to use lvmtab and default others to be mounted under /var Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.607 retrieving revision 1.608 diff -u -d -r1.607 -r1.608 --- CHANGES 25 Dec 2003 00:47:11 -0000 1.607 +++ CHANGES 26 Dec 2003 03:16:20 -0000 1.608 @@ -23,6 +23,7 @@ # 1.1.1 +- updated mountfs to use /etc/sysconfig/lvmtab and default all other VG's to mount under /var - stunnel didn't get copied onto the CD - added -pie support to gcc (not used yet) - update binutils to v2.14.90.0.7 |
|
From: <smi...@us...> - 2003-12-25 16:02:57
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1:/tmp/cvs-serv25574/scripts/configuration Added Files: glibc.config Log Message: initial checkin of nptl support --- NEW FILE: glibc.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/glibc.config,v $ # $Revision: 1.1 $ # $Date: 2003/12/25 16:02:53 $ # http://www.devil-linux.org menu_add "Build Configuration" bool "Native POSIX Thread Library instead of the standard GNU linuxthreads (EXPERIMENTAL)" CONFIG_GLIBC_NPTL |
|
From: <smi...@us...> - 2003-12-25 16:02:57
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv25574/scripts Modified Files: glibc Log Message: initial checkin of nptl support Index: glibc =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/glibc,v retrieving revision 1.22 retrieving revision 1.23 diff -u -d -r1.22 -r1.23 --- glibc 23 Nov 2003 11:27:39 -0000 1.22 +++ glibc 25 Dec 2003 16:02:53 -0000 1.23 @@ -26,7 +26,11 @@ case $1 in build ) - tar -xjf $DL_DIR/src/glibc-linuxthreads-*.tar.bz2 || exit 1 + if [ "$CONFIG_GLIBC_NPTL" = "y" ]; then + tar -xjf $DL_DIR/src/nptl-*.tar.bz2 || exit 1 + else + tar -xjf $DL_DIR/src/glibc-linuxthreads-*.tar.bz2 || exit 1 + fi if [ ! -f devil-linux-glibc-debian-patches.done ]; then for PATCH in $(grep -v ^# ../glibc-patches/0list) do |
|
From: <smi...@us...> - 2003-12-25 16:02:57
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory sc8-pr-cvs1:/tmp/cvs-serv25574/scripts/configuration/help Added Files: glibc.help Log Message: initial checkin of nptl support --- NEW FILE: glibc.help --- CONFIG_GLIBC_NPTL Native POSIX Thread Library is a POSIX thread library for Linux. This replaces the standard GNU LIBC thread library, it is supposed to be faster. Some programs could have problems using this implementation. |
|
From: <smi...@us...> - 2003-12-25 15:10:31
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv19113/build/scripts/scripts Modified Files: save-config Log Message: cosmetic changes Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.24 retrieving revision 1.25 diff -u -d -r1.24 -r1.25 --- save-config 23 Dec 2003 16:05:33 -0000 1.24 +++ save-config 25 Dec 2003 15:10:27 -0000 1.25 @@ -52,6 +52,8 @@ else umount $CONFIG_MOUNT fi + else + continue 2 fi else beep; @@ -84,16 +86,18 @@ $NORMAL until [ -e $CONFIG_MOUNT/etc.tar.bz2 ] ; do - if mount $DL_CONFIG_SOURCE $CONFIG_MOUNT 2>&1 >/dev/null ; then - if [ -e $CONFIG_MOUNT/etc.tar.bz2 ] ; then - continue - else - umount $CONFIG_MOUNT + if mount $DL_CONFIG_SOURCE $CONFIG_MOUNT 2>&1 >/dev/null ; then + if [ -e $CONFIG_MOUNT/etc.tar.bz2 ] ; then + continue + else + umount $CONFIG_MOUNT + fi fi - fi - beep;beep; - echo "Please insert Configuration Media" - sleep 2 + beep;beep; + $FAILURE + echo "Please insert Configuration Media in $DL_CONFIG_SOURCE" + $NORMAL + sleep 2 done if [ -z "$QUIET" ]; then @@ -105,11 +109,12 @@ umount $CONFIG_MOUNT $FAILURE - echo "press the 'anykey' to save the configuration or CTRL+C to quit" + echo "Do you still want to save?" $NORMAL - read -n 1 -rs ANS + if ! ask_yes_no ; then + exit 1 + fi fi -$NORMAL umount $CONFIG_MOUNT &> /dev/null |
|
From: <smi...@us...> - 2003-12-25 01:45:14
|
Update of /cvsroot/devil-linux/build/other
In directory sc8-pr-cvs1:/tmp/cvs-serv26422
Added Files:
webmin-devil-linux.diff
Log Message:
initial checkin for webmin patch to get devil-linux support
--- NEW FILE: webmin-devil-linux.diff ---
diff -ruN webmin-1.121.orig/acl/config-devil-linux webmin-1.121/acl/config-devil-linux
--- webmin-1.121.orig/acl/config-devil-linux 1969-12-31 19:00:00.000000000 -0500
+++ webmin-1.121/acl/config-devil-linux 2003-12-24 19:04:52.000000000 -0500
@@ -0,0 +1,3 @@
+ssleay=/usr/bin/openssl
+select=0
+order=0
diff -ruN webmin-1.121.orig/apache/config-devil-linux webmin-1.121/apache/config-devil-linux
--- webmin-1.121.orig/apache/config-devil-linux 1969-12-31 19:00:00.000000000 -0500
+++ webmin-1.121/apache/config-devil-linux 2003-12-24 19:04:17.000000000 -0500
@@ -0,0 +1,15 @@
+show_list=0
+httpd_dir=/etc/apache2
+httpd_path=/usr/sbin/apache
+httpd_conf=/etc/apache2/httpd.conf
+srm_conf=/etc/apache2/srm.conf
+access_conf=/etc/apache2/access.conf
+mime_types=/etc/apache2/mime.types
+start_cmd=/etc/init.d/httpd start
[...2905 lines suppressed...]
+ ;;
+'restart')
+ $stop && $start
+ RETVAL=$?
+ ;;
+*)
+ echo "Usage: $0 { start | stop | restart }"
+ RETVAL=1
+ ;;
+esac
+exit $RETVAL
+
diff -ruN webmin-1.121.orig/xinetd/config-devil-linux webmin-1.121/xinetd/config-devil-linux
--- webmin-1.121.orig/xinetd/config-devil-linux 1969-12-31 19:00:00.000000000 -0500
+++ webmin-1.121/xinetd/config-devil-linux 2003-11-08 18:38:42.000000000 -0500
@@ -0,0 +1,4 @@
+xinetd_conf=/etc/xinetd.conf
+protocols_file=/etc/protocols
+pid_file=/var/run/inetd.pid
+start_cmd=/etc/init.d/xinetd start
|
|
From: <smi...@us...> - 2003-12-25 00:47:15
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv20157 Modified Files: CHANGES Log Message: - stunnel didn't get copied onto the CD Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.606 retrieving revision 1.607 diff -u -d -r1.606 -r1.607 --- CHANGES 24 Dec 2003 23:14:36 -0000 1.606 +++ CHANGES 25 Dec 2003 00:47:11 -0000 1.607 @@ -23,6 +23,7 @@ # 1.1.1 +- stunnel didn't get copied onto the CD - added -pie support to gcc (not used yet) - update binutils to v2.14.90.0.7 - updated stack smashing protector to v3.3-7 |
|
From: <smi...@us...> - 2003-12-25 00:47:15
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv20157/scripts
Modified Files:
stunnel
Log Message:
- stunnel didn't get copied onto the CD
Index: stunnel
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/stunnel,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -d -r1.8 -r1.9
--- stunnel 13 Oct 2003 17:36:09 -0000 1.8
+++ stunnel 25 Dec 2003 00:47:11 -0000 1.9
@@ -39,10 +39,9 @@
install )
if [ "$CONFIG_STUNNEL" = "y" ]; then
- mkdir -p $CDDIR/usr/sbin
- mkdir -p $CDDIR/usr/lib
- cp -p stunnel $CDDIR/usr/sbin
- cp -p stunnel.so $CDDIR/usr/lib
+ mkdir -p $CDDIR/usr/sbin || exit 1
+ mkdir -p $CDDIR/usr/lib || exit 1
+ cp -p src/stunnel $CDDIR/usr/sbin/ || exit 1
copy_man
fi
;;
|